Subject: Re: [lojban] columns 158-164

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Sat, 14 Jul 2001 00:24:33 -0400

At 11:19 PM 07/13/2001 -0500, Michal Wallace wrote:
>I'm looking at the gismu list, and notice two columns of codes right
>after the english definitions and before the cross references. What
>do these mean?

Excellent question! (maybe add it to the FAQ in the brochure book, Nick?)

The number and letter code refer to the original outline for the Lojban 
textbook (that outline is attached to this message in RTF format, and will 
be added to the historical file archive on the website when next I update 
it). The current draft has the lessons broken differently so that the 
codes are less meaningful, though they still roughly track with the order 
of presentation in the textbook, up to what used to be lesson 6.

>The first one almost looks like some sort of grouping: blanu, xunre,
>narju all share the code 1a..

The groupings in the lesson did color words all at once in the first part 
of the first lesson, since one can make lots of simple sentences using 
those words.

>The second one.. I thought I heard something about word frequency?

Yes. It is a word frequency count on all Lojban text, Lojban List text, 
and teaching materials through sometime in 1992, so as to give another 
plausible order to study the words other than the textbook order, one which 
presumably would support following Lojban List discussions. Lojban grammar 
terminology was very highly represented because that was much of what 
people talked about on Lojban List. The web site has current frequency 
lists, and the grammar terms are still the most used, but I haven't changed 
the numbers in the gismu list.

>I just wrote a little program to sort the list by that number..
>The top comes out like:
>
>('cusku', 'express ', '1h ', '872')
>('tanru', 'phrase compoun', '1b ', '776')
>('prenu', 'person ', '1k ', '632')
>('gismu', 'root word ', '1b ', '554')
>('djica', 'desire ', '3l ', '500')
>('lujvo', 'affix compound', '1b ', '428')
>('diklo', 'local ', '5d ', '426')
>('klama', 'come ', '1g1', '399')
>('bacru', 'utter ', '1h ', '386')
>('djuno', 'know ', '1h ', '375')
>('sumti', 'argument ', '1b2', '373')
>('drata', 'other ', '2g ', '351')
>('kumfa', 'room ', '2k ', '346')
>('tavla', 'talk ', '1h ', '338')
>('nanmu', 'man ', '1k ', '332')
>('cmalu', 'small ', '1e ', '326')
>('citka', 'eat ', '5c ', '320')
>('barda', 'big ', '1e ', '318')
>
>I find it hard to believe tanru is a more common word than citka or
>barda,

How often do people talk about eating or the size of things online? But 
they do talk about Lojban grammar.

> but these do seem to be "simple" lojban words.. But then again,
>the other end came out like:
>
>('gluta', 'glove ', 'ao ', ' 0')
>('pambe', 'pump ', 'a ', ' 0')
>('kanji', 'calculate ', '7e ', ' 0')
>('barja', 'bar ', 'ap ', ' 0')
>('sigja', 'cigar ', 'a ', ' 0')
>('xatsi', '1E-18 ', 'ae ', ' 0')
>('petso', '1E15 ', 'ae ', ' 0')
>('fanri', 'factory ', '8c ', ' 0')
>('barna', 'mark ', 'a ', ' 0')
>('tsina', 'stage ', '5g ', ' 0')
>
>Which definitely seem less common (or more culture-specific).

And indeed the words with no lesson number not only were in no teaching 
material, but a couple dozen of them were made after the frequency count 
was done.

lojbab

--
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org